Storyden
Auth

Auth Email Signin

Sign in to an existing account with an email and optional password. The behaviour of this endpoint depends on how the instance is configured. If email+password is the preferred method, a cookie is returned on success but if magic links are preferred, the endpoint will start the code flow.

POST
/auth/email/signin

Sign in to an existing account with an email and optional password. The behaviour of this endpoint depends on how the instance is configured. If email+password is the preferred method, a cookie is returned on success but if magic links are preferred, the endpoint will start the code flow.

Authorization

cookiestoryden-session<token>

Request Body

application/json
  1. body
email*EmailAddress

A valid email address.

handle?AccountHandle

The unique @ handle of an account.

Response Body

OK

application/json
  1. response
id*string
Example Request
curl -X POST 'https://example.com/api/auth/email/signin' \  -H 'Content-Type: application/json' \  -d '{  "email": "string"}'
Example Response
{  "id": "string"}